fileVerison: 1
packageType: Install
softwareName: DCResourceInsight

softwareVersion: V100R020C10SPC300
releaseType: Full
packageFormat: SolutionV3
featureGroup:
  all:
    DCResourceInsight:
    - serviceName: NWConditionInsightApp
      require: optional
      deployTemplate: NWConditionInsightApp_6k.json
      deployOrder: 200
      mgmtSize:
      - '6000'
    - serviceName: NWCIDataWarehouseSvr
      require: optional
      deployTemplate: NWCIDataWarehouseSvr_6k.json
      deployOrder: 200
      mgmtSize:
      - '6000'
    - serviceName: NWCICommonServiceSvr
      require: optional
      deployTemplate: NWCICommonServiceSvr_6k.json
      deployOrder: 200
      mgmtSize:
      - '6000'
    DCResourceInsight_DB:
    - serviceName: NWConditionInsightApp
      require: optional
      deployTemplate: NetmasterDCDBCustom_6k.json
      deployOrder: 20

optionalFeatureList:
  all:
  - DCResourceInsight
  - DCResourceInsight_DB

input:
  DCResourceInsight:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    DATA_MGMT_SERVICE_IP:
      default: ''
      description: The trusted ip or domain of unisso,Auth need
      type: string
    ACCESS_URL:
      default: ''
      description: datamgmtservice IP IP
      type: string
    ACCESS_URL_Test:
      default: ''
      description: The trusted ip or domain of unisso,Auth need
      type: string
    GAUSSDB_LIST:
      default: ''
      description: GAUSSDB_LIST
      type: string
    SYBASE_IP:
      default: ''
      description: SYBASE
      type: string
    region-local:
      default: ''
      description: zk service IP IP
      type: string
  DCResourceInsight_DB:
    regionAlias:
      description: The prefix of the node or environment
      default: NCE
      type: string
      require: true
    tenantName:
      description: tenantName of Product
      default: NCE
      type: string
      require: true
    DATA_MGMT_SERVICE_IP:
      default: ''
      description: The trusted ip or domain of unisso,Auth need
      type: string
    ACCESS_URL:
      default: ''
      description: datamgmtservice IP IP
      type: string
    ACCESS_URL_Test:
      default: ''
      description: The trusted ip or domain of unisso,Auth need
      type: string
    GAUSSDB_LIST:
      default: ''
      description: GAUSSDB_LIST
      type: string
    SYBASE_IP:
      default: ''
      description: SYBASE
      type: string
    region-local:
      default: ''
      description: zk service IP IP
      type: string

resources:
  softwareName: #必选，软件名称资源，用于界面显示
    zh_CN: 数通移动承载网络资源洞察APP包
    en_US: Mobile Transport Network Resource Insight APP
  packageType:  #必选，包类型资源，用于界面显示
    Install:
      en_US: Install Package
      zh_CN: 安装包
  featureGroup:  #如果有定义特性集则必须提供
    all:
      en_US: ALL
      zh_CN: 全量特性
  feature:        #如果有定义特性则必选
    DCResourceInsight:
      en_US: DCResourceInsight
      zh_CN: DCResourceInsight
    DCResourceInsight_DB:
      en_US: DCResourceInsight_DB
      zh_CN: DCResourceInsight_DB
  input:
    regionAlias:
      en_US: regionAlias
      zh_CN: regionAlias
    tenantName:
      en_US: tenantName
      zh_CN: tenantName
